cURL
curl --request POST \
--url https://api.comm.com/api/v1/hub/profit-logic/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"current_profit": 123,
"country_id": 123,
"id": "<string>",
"network_id": 123,
"client_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network_brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_profit": 123,
"upcoming_profit": 123,
"applied_at": "<string>"
}
'import requests
url = "https://api.comm.com/api/v1/hub/profit-logic/rules"
payload = {
"current_profit": 123,
"country_id": 123,
"id": "<string>",
"network_id": 123,
"client_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network_brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_profit": 123,
"upcoming_profit": 123,
"applied_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
current_profit: 123,
country_id: 123,
id: '<string>',
network_id: 123,
client_company_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
network_brand_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
old_profit: 123,
upcoming_profit: 123,
applied_at: '<string>'
})
};
fetch('https://api.comm.com/api/v1/hub/profit-logic/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_profit": 123,
"country_id": 123,
"id": "<string>",
"network_id": 123,
"client_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network_brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_profit": 123,
"upcoming_profit": 123,
"applied_at": "<string>"
}{
"message": "<string>"
}{
"errors": {
"country_id": [
"This rule already exists"
]
}
}SellerProfitLogicRules
Post v1hubprofit logicrules
POST
/
v1
/
hub
/
profit-logic
/
rules
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
SellerProfitLogicRuleDataRequest
Available options:
percentage, fixed Response
Available options:
percentage, fixed ⌘I